using PasswordCheckDll;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace garment_factory
{
    public partial class fRegistracia : Form
    {
        public fRegistracia()
        {
            InitializeComponent();
        }

        private void BtnReg_Click(object sender, EventArgs e)
        {
            if (!PasswordCheckClass.PasswordCheck(passwTextBox.Text))
            {
                MessageBox.Show("Пароль не соответствует требованиям.\nДлина минимум 6 символов.\nCтрочные и прописные символы.\nЦифр должно быть не более половины.\nМинимум 1 символ из набора:!@#$%^.", "Внимание!",
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                passwTextBox.Focus();
                return;
            }
            if (PassTextBox2.Text != passwTextBox.Text) 
            {
                MessageBox.Show("Пароли не совподают!\nПопробуйте ещё раз", "Внимание!", MessageBoxButtons.OK,
MessageBoxIcon.Exclamation);
                
                return;
            }
            try
            {
                BsUsers.EndEdit();
                this.usersTableAdapter.Update(this.fabrika2024DataSet.Users);
                this.usersTableAdapter.Fill(this.fabrika2024DataSet.Users);
            }
            catch
            {
                MessageBox.Show(@"В базе данных уже есть пользователь с таким логином.
Введите уникальный логин пользователя.", "Внимание!", MessageBoxButtons.OK,
MessageBoxIcon.Exclamation);
                loginTextBox1.Focus();
            }

            this.DialogResult = DialogResult.OK;
            Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DialogResult=DialogResult.Cancel;
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            PassTextBox2.UseSystemPasswordChar = !PassTextBox2.UseSystemPasswordChar;
            passwTextBox.UseSystemPasswordChar = !passwTextBox.UseSystemPasswordChar;
        }

       

        private void fRegistracia_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "fabrika2024DataSet.Users". При необходимости она может быть перемещена или удалена.
            this.usersTableAdapter.Fill(this.fabrika2024DataSet.Users);
            BsUsers.AddNew();
            LblRole.Text = "заказчик";
            roleTextBox.Text = "1";
        }

        
    }
}
